[@rxap/remote-method](../wiki/globals) / RxapRemoteMethod

# Function: RxapRemoteMethod()

> **RxapRemoteMethod**\<`MetaData`\>(`metadataOrId`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:29](https://gitlab.com/rxap/packages/-/blob/1afa8d98c437ac0b6d25f531bc7a9e218f27193a/packages/angular/remote-method/src/lib/base.remote-method.ts#L29)

## Type Parameters

• **MetaData** *extends* `BaseDefinitionMetadata` = `BaseDefinitionMetadata`

## Parameters

### metadataOrId

`string` | `MetaData`

### className

`string` = `'BaseRemoteMethod'`

### packageName

`string` = `'@rxap/remote-method'`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
